## node-opencv 6.0.0+git20180416.cfc96ba0

=== Makefile ===
VERSION := $(shell node -e "console.log(require('./package.json').version)")

test:
	npm test
.PHONY: test

smoke:
	npm install --build-from-source
	node smoke/smoketest.js
	npm test
.PHONY: smoke


release:
	@echo "Tagging release $(VERSION)"
	@git tag -m "$(VERSION)" v$(VERSION)

	@echo "Pushing tags to GitHub"
	@git push --tags

	@echo "Switching to osx-binaries branch"
	@git checkout osx-binaries

	@echo "Merging master into osx-binaries"
	@git merge --no-ff --commit -m "Merge master into osx-binaries [publish binary]" master

	@echo "Pushing osx-binaries"
	@git push

	@echo "Switching to master branch"
	@git checkout master

	@echo "Publishing to NPM"
	@npm publish
.PHONY: release


travis-build:
	docker build -t peterbraden/node-opencv-ubuntu-12-04 -f test/Dockerfile-ubuntu-12-04 .
	docker build -t peterbraden/node-opencv-ubuntu-14-04 -f test/Dockerfile-ubuntu-14-04 .
.PHONY: travis-build


# Below build, coverage and clean tasks were partly lifted from https://github.com/geo-data/node-mapserv/blob/e99b23a44d910d444f5a45d144859758f820e1d1/Makefile
# @author danschultzer

# The location of the `istanbul` JS code coverage framework. Try and get a
# globally installed version, falling back to a local install.
ISTANBUL := $(shell which istanbul)
ifeq ($(ISTANBUL),)
	ISTANBUL = ./node_modules/.bin/istanbul/lib/cli.js
endif

# The location of the `node-pre-gyp` module builder. Try and get a globally
# installed version, falling back to a local install.
NODE_PRE_GYP = $(shell which node-pre-gyp)
ifeq ($(NODE_GYP),)
	NODE_PRE_GYP = ./node_modules/.bin/node-pre-gyp
endif

NODE := $(shell which node)
test_deps = build \
./test/*.js \
./lib/*.js \
$(NODE)

build: build/Debug/opencv.node
build/Debug/opencv.node:
	$(NODE_PRE_GYP) --verbose --debug rebuild

# Perform the code coverage
cover: coverage/index.html
coverage/index.html: coverage/node-opencv.info
	genhtml --output-directory coverage coverage/node-opencv.info
	@echo "\033[0;32mPoint your browser at \`coverage/index.html\`\033[m\017"
coverage/node-opencv.info: coverage/bindings.info
	lcov --test-name node-opencv \
	--add-tracefile coverage/lcov.info \
	--add-tracefile coverage/bindings.info \
	--output-file coverage/node-opencv.info
coverage/bindings.info: coverage/addon.info
	lcov --extract coverage/addon.info '*opencv/src/*' --output-file coverage/bindings.info
coverage/addon.info: coverage/lcov.info
	lcov --capture --base-directory build/ --directory . --output-file coverage/addon.info
# This generates the JS lcov info as well as gcov `*.gcda` files:
coverage/lcov.info: $(test_deps) $(ISTANBUL)
	NODE_OPENCV_DEBUG=true $(NODE) --nouse_idle_notification --expose-gc \
	$(ISTANBUL) cover --report lcovonly -- test/unit.js

$(NODE_PRE_GYP):
	npm install node-pre-gyp

$(ISTANBUL): package.json
	npm install istanbul
	@touch $(ISTANBUL)

# Clean up any generated files
clean: $(NODE_PRE_GYP)
	$(NODE_PRE_GYP) clean
	rm -rf coverage
	rm -rf build

## node-opencv 6.0.0%2Bgit20180416.cfc96ba0

=== debian/changelog ===
node-opencv (6.0.0+git20180416.cfc96ba0-3) unstable; urgency=medium

  * Team upload

  [ Xavier Guimard ]
  * Add dh_installexamples -Xtmp/ to make build reproductible. Thanks to
    Chris Lamb (Closes: #924462)

  [ Utkarsh Gupta ]
  * Add patch to fix CVE-2019-10061 (Closes: #925571)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Wed, 27 Mar 2019 04:27:41 +0530

node-opencv (6.0.0+git20180416.cfc96ba0-2) unstable; urgency=medium

  * Team upload
  * Remove unneeded dependency versions
  * Rebuilt against libnode-dev
  * Add upstream/metadata
  * Update description
  * Set hardening flags
  * Fix autopkgtest failures on an unbuild tree and test installed files
  * Install examples in the right place

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Jan 2019 14:45:46 +0100

node-opencv (6.0.0+git20180416.cfc96ba0-1) unstable; urgency=low

  * Use upstream git repo.
    - Support node 10 (Closes: #919192)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 17 Jan 2019 04:33:36 +0800

node-opencv (6.0.0-2) unstable; urgency=low

  * Fixing debian/control package descriptions.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Dec 2018 00:32:46 +0800

node-opencv (6.0.0-1) unstable; urgency=low

  * Initial release (Closes: #870349)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 10 Dec 2018 19:30:10 +0800

=== debian/control ===
Source: node-opencv
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11),
               libopencv-dev,
               node-buffers,
               node-glob,
               node-gyp,
               node-istanbul,
               node-nan,
               node-pre-gyp,
               node-request,
               node-tape,
               libnode-dev,
               npm
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-opencv
Vcs-Git: https://salsa.debian.org/js-team/node-opencv.git
Homepage: https://github.com/peterbraden/node-opencv

Package: node-opencv
Architecture: any
Depends: node-buffers,
         node-istanbul,
         node-nan (>= 2.0.9),
         node-pre-gyp,
         nodejs (>= 6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OpenCV Bindings for node.js
 OpenCV is the defacto computer vision library - by interfacing with it
 natively in node, it gives powerful real time vision in js.
 .
 People are using node-opencv to fly control quadrocoptors, detect faces
 from webcam images and annotate video streams.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-opencv 6.0.0+git20180416.cfc96ba0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	find $(CURDIR) -name '*.xml' -exec chmod a-x {} \;
	find $(CURDIR) -name '*.html' -exec chmod a-x {} \;
	find $(CURDIR) -name '*.gyp' -exec chmod a-x {} \;
	find $(CURDIR) -name '*.md' -exec chmod a-x {} \;
	find $(CURDIR) -name '*.png' -exec chmod a-x {} \;
	find $(CURDIR) -name '*.jpg' -exec chmod a-x {} \;
	find $(CURDIR) -name '*.h' -exec chmod a-x {} \;
	chmod a-x examples/make-example-files.sh
	chmod a-x vagrant/scripts/setup-node.sh
	chmod a-x examples/make-example-files.sh
	chmod a-x vagrant/user.sh
	dh_auto_configure
	node-pre-gyp configure

override_dh_auto_build:
	node-pre-gyp build
	find $(CURDIR)/build -name 'opencv.node' -exec chmod a-x {} \;

override_dh_auto_clean:
	dh_auto_clean
	rm -rf node_modules
	rm -rf build

override_dh_installexamples:
	dh_installexamples -Xtmp/

DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = https://github.com/peterbraden/node-opencv.git
get-orig-source:
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git --exclude='*.exe' --exclude='*.jar' -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

=== debian/tests/control ===
Tests: require
Depends: node-opencv

Tests: smoketest
Depends: @

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb|git[^.]*)(\..+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-opencv-$1.tar.gz/ \
 https://github.com/peterbraden/node-opencv/releases .*/archive/v?([\d\.]+).tar.gz

## node-opencv 6.0.0+git20190322.db093cb2

=== debian/changelog ===
node-opencv (6.0.0+git20190322.db093cb2-7) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Fix autopkgtest fail on arm64 (Closes: #951108)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 14 Feb 2020 09:47:03 +0800

node-opencv (6.0.0+git20190322.db093cb2-6) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * autopkgtest: add restrictions allow-stderr to avoid dpkg-architecture
    prints warning messages to stderr

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 11 Feb 2020 15:48:18 +0800

node-opencv (6.0.0+git20190322.db093cb2-5) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Fix autopkgtest fail - dpkg-architecture stderr

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 11 Feb 2020 01:23:17 +0800

node-opencv (6.0.0+git20190322.db093cb2-4) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Fix autopkgtest fail.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 10 Feb 2020 00:34:36 +0800

node-opencv (6.0.0+git20190322.db093cb2-3) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Don't install object files.
  * Fix uses-deprecated-adttmp.
  * Fix nodejs-module-installed-in-usr-lib

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 09 Feb 2020 01:59:59 +0800

node-opencv (6.0.0+git20190322.db093cb2-2) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Fix autopkgtest dependencies.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 09 Feb 2020 00:58:21 +0800

node-opencv (6.0.0+git20190322.db093cb2-1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * New upstream version 6.0.0+git20190322.db093cb2
  * Remove unnecessary patches
  * Porting to OpenCV4 (Closes: #922587)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 28 Oct 2019 03:59:13 +0800

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export PKG_CONFIG_OPENCV4=1
 
 %:
 	dh $@
@@ -20,14 +22,12 @@
 	find $(CURDIR) -name '*.jpg' -exec chmod a-x {} \;
 	find $(CURDIR) -name '*.h' -exec chmod a-x {} \;
 	chmod a-x examples/make-example-files.sh
-	chmod a-x vagrant/scripts/setup-node.sh
 	chmod a-x examples/make-example-files.sh
-	chmod a-x vagrant/user.sh
 	dh_auto_configure
-	node-pre-gyp configure
+	node-gyp configure
 
 override_dh_auto_build:
-	node-pre-gyp build
+	node-gyp build
 	find $(CURDIR)/build -name 'opencv.node' -exec chmod a-x {} \;
 
 override_dh_auto_clean:

## node-opencv 7.0.0%2Bgit20200316.f0a03a4b

=== debian/changelog ===
node-opencv (7.0.0+git20200316.f0a03a4b-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Yadd ]
  * Update standards version to 4.6.1, no changes needed.
  * Fix autopkgtest

  [ Jérémy Lal ]
  * Avoid dependency on npm.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 20 Nov 2025 12:01:45 +0100

node-opencv (7.0.0+git20200316.f0a03a4b-1) unstable; urgency=low

  * New upstream release.
  * Add debian/patches/0002_port_to_axios_from_request.patch:
    - Drop debian/patches/drop-request-test.patch
    - Add node-axios to Build-Depends.
    - Port the test to axios so we can test it rather than drop the test.
  * Add debian/patches/0003_port_to_nodejs14.patch:
    - Porting to nodejs 14 (Closes: #1007843)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 08 Apr 2022 02:10:07 +0800

node-opencv (7.0.0+git20200310.6c13234-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

  [ Yadd ]
  * Add missing build dependency on dh addon.
  * Update standards version to 4.6.0, no changes needed.
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Modernize debian/watch
    * Fix filenamemangle
    * Fix GitHub tags regex
  * Drop dependency to nodejs
  * Drop test dependency to deprecated node-request (Closes: #958680)

 -- Yadd <yadd@debian.org>  Fri, 31 Dec 2021 12:45:07 +0100

node-opencv (7.0.0+git20200310.6c13234-3) unstable; urgency=medium

  * Team upload
  * MA: same
  * enable salsa CI

 -- Bastien Roucariès <rouca@debian.org>  Sat, 18 Sep 2021 13:30:24 +0000

node-opencv (7.0.0+git20200310.6c13234-2) unstable; urgency=medium

  * Fix OpenCV::ReadImageAsync segfault (Closes: #987364).
    Thanks to Jochen Sprickerhof.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Apr 2021 14:18:17 +0200

node-opencv (7.0.0+git20200310.6c13234-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.0.0+git20200310.6c13234 (Closes: #962825)
  * Drop 0003_port_opencv4.patch, applied upstream

 -- Jérémy Lal <kapouer@melix.org>  Mon, 15 Jun 2020 14:58:13 +0200

## node-opencv 7.0.0+git20200310.6c13234

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,30 @@
 Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Section: javascript
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               libopencv-dev,
+Build-Depends: debhelper-compat (= 13),
+               libnode-dev,
+               libopencv-dev (>= 4.0.1),
                node-buffers,
                node-glob,
                node-gyp,
                node-istanbul,
                node-nan,
                node-pre-gyp,
-               node-request,
                node-tape,
-               libnode-dev,
                npm
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-opencv
 Vcs-Git: https://salsa.debian.org/js-team/node-opencv.git
 Homepage: https://github.com/peterbraden/node-opencv
+Rules-Requires-Root: no
 
 Package: node-opencv
 Architecture: any
+Multi-Arch: same
 Depends: node-buffers,
          node-istanbul,
-         node-nan (>= 2.0.9),
+         node-nan,
          node-pre-gyp,
-         nodejs (>= 6),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenCV Bindings for node.js

## node-opencv 7.0.0+git20200316.f0a03a4b

=== Makefile ===
VERSION := $(shell node -e "console.log(require('./package.json').version)")

test:
	npm test
.PHONY: test

smoke:
	npm install --build-from-source
	node smoke/smoketest.js
	npm test
.PHONY: smoke

travis-build:
	docker build -t peterbraden/node-opencv-ubuntu-12-04 -f test/Dockerfile-ubuntu-12-04 .
	docker build -t peterbraden/node-opencv-ubuntu-14-04 -f test/Dockerfile-ubuntu-14-04 .
.PHONY: travis-build

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                libnode-dev,
                libopencv-dev (>= 4.0.1),
+	       node-axios,
                node-buffers,
                node-glob,
                node-gyp,

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,8 @@
 
 Tests: smoketest
 Depends: @
+Restrictions: allow-stderr
+
+Tests: unittest
+Depends: node-glob, node-axios, node-tape, @
+Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-opencv-$1/ \
 https://github.com/peterbraden/node-opencv/releases .*/archive/.*/v?([\d\.]+).tar.gz
